package route

import (
	"github.com/gin-gonic/gin"
	"wireguard-dashboard/http/api"
	"wireguard-dashboard/middleware"
)

func ServerApi(r *gin.Engine) {
	apiGroup := r.Group("server", middleware.Authorization())
	{
		apiGroup.GET("", api.Server().GetServer)                      // 获取服务端信息
		apiGroup.GET("global-setting", api.Server().GetGlobalSetting) // 获取服务端全局配置
		apiGroup.POST("", api.Server().SaveServer)                    // 新增/更新服务端信息
	}
}
